# GimpUi.prop_spin_scale_new

    @accepts(GObject.Object, unicode, float, float, int)
    @returns(Gtk.Widget)
    def prop_spin_scale_new(config, property_name, step_increment, page_increment, digits):
        # Python wrapper for gimp_prop_spin_scale_new()

Creates a spin scale to set and display the value of the specified int or double property.

By default, the property_name's nick will be used as label of the returned widget. Use GimpUi.SpinScale.set_label to change this.

If you wish to change the widget's range relatively to the property_name's range, use GimpUi.prop_widget_set_factor.

Since 3.0

config

  Object to which property is attached.

property_name

  Name of double or int property controlled by the spin button.

step_increment

  Step size.

page_increment

  Page size.

digits

  Number of digits after decimal point to display. This is only used for double properties. In case of int properties, `digits = 0` is implied.

Returns